Net::Hotline::FileListItem(3pm)

NAME
Net::Hotline::FileListItem - File object used internally by Net::Hotline::Client

SYNOPSIS
    use Net::Hotline::FileListItem;

    $file = new Net::Hotline::FileListItem;

    $file->name("foo.txt");
    $file->type("TEXT");
    ...

DESCRIPTION
Net::Hotline::FileListItem is a simple class for storing and retrieving file information, You should never have to create your own Net::Hotline::FileListItem objects when using Net::Hotline::Client. Getting and (to a lesser extent) setting attributes is all that should be necessary.

CONSTRUCTION

new Creates a new Net::Hotline::FileListItem object with all attributes set to undef (or zero for numeric attributes).

METHODS
All the Net::Hotline::FileListItem methods are simple attribute get/set routines. If given an argument, they set an attribute. In all cases, they return the current value of the attribute.

creator TEXT
    The file creator, given as a four-letter Mac OS creator code ("TTXT", "SIT!", etc.)

name TEXT
    The file name.

size NUM
    The size of the file in bytes.

type TEXT
    The file type, given as a four-letter Mac OS type code ("TEXT", "PICT", etc.) or Net::Hotline::Constants::HTLC_FOLDER_TYPE for folders.

AUTHOR
John C. Siracusa (siracusa@mindspring.com)

COPYRIGHT
Copyright(c) 1999 by John Siracusa. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.